MODULE testcse18 ;

CONST
   NulSym = 0 ;

PROCEDURE GetScopeSym (n: CARDINAL) : CARDINAL ;
BEGIN
   RETURN( 1 )
END GetScopeSym ;


PROCEDURE GetSym (Name: CARDINAL) : CARDINAL ;
VAR
   Sym        : CARDINAL ;
   OldScopePtr: CARDINAL ;
BEGIN
   Sym := GetScopeSym(Name) ;
   IF Sym=NulSym
   THEN
      (* Check default base types for symbol *)
      OldScopePtr := ScopePtr ;  (* Save ScopePtr *)
      ScopePtr := BaseScopePtr ; (* Alter ScopePtr to point to top of BaseModule *)
      Sym := GetScopeSym(Name) ; (* Search BaseModule for Name *)
      ScopePtr := OldScopePtr    (* Restored ScopePtr *)
   END ;
   RETURN( Sym )
END GetSym ;


VAR
   sym,
   BaseScopePtr,
   OldScopePtr,
   ScopePtr,
   Sym         : CARDINAL ;
BEGIN
   sym := GetSym(123)
END testcse18.
