MODULE realconst;
(*A program to convert an angle in degrees to an angle in radians*)

FROM StrIO IMPORT WriteString, WriteLn;		 
FROM MATH IMPORT pi;
FROM FpuIO IMPORT WriteReal, ReadReal;

VAR
   Degrees, Radians: REAL;


PROCEDURE ConvertAngle (Angle:REAL): REAL;
(*Convert an angle from degrees to radians*)
VAR
   ConversionFactor : REAL;
BEGIN
   ConversionFactor:= pi / 180.0;
   WriteReal(ConversionFactor, 20, 15 );
   RETURN ConversionFactor * Angle
END ConvertAngle;

BEGIN (*convert*)
   WriteString("Enter an angle in degrees:  ");
   ReadReal(Degrees); WriteLn;
   Radians := ConvertAngle (Degrees);
   WriteString("The angle in radians is:  ");
   WriteReal(Radians, 20, 5 ); WriteLn;
END realconst.
