MODULE cycles ;


FROM FpuIO IMPORT StrToLongReal, WriteLongReal ;
FROM StrIO IMPORT WriteString, WriteLn ;
FROM libc IMPORT exit ;


CONST
   DefaultClockFreq = 133.0 * 1000000.0 ;
   MaxString        = 100 ;
VAR
   ClockFreq,
   Period   : LONGREAL ;
BEGIN
   StrToLongReal('350', ClockFreq) ;
   Period := 1.0/(ClockFreq * 1000000.0) ;
   IF Period>1.0
   THEN
      WriteString('floating point code generator failed') ; WriteLn ;
      exit(1)
   ELSE
      WriteString('simple fpu code generator test passed') ; WriteLn
   END
END cycles.
