IMPLEMENTATION MODULE M2Debug ;


FROM StrIO IMPORT WriteString, WriteLn ;

FROM M2Lexical IMPORT WriteError ;

FROM M2Options IMPORT CompilerDebugging ;


(*
   Assert - tests the boolean, q. If false then an error is reported
            and the execution is HALTed.
*)

PROCEDURE Assert (q: BOOLEAN) ;
BEGIN
   IF NOT q
   THEN
      WriteError('Assert Failed') ;
      HALT
   END
END Assert ;


(*
   WriteDebug - only writes a string if the debugging mode is on.
*)

PROCEDURE WriteDebug (a: ARRAY OF CHAR) ;
BEGIN
   IF CompilerDebugging
   THEN
      WriteString(a) ; WriteLn
   END
END WriteDebug ;


END M2Debug.

