MODULE consume ;


(*
   Consume input until #!$startinfo is found at the beginning of a line
   from thenceforth all input is written to output.
*)

FROM StrIO IMPORT ReadString, WriteString, WriteLn ;
FROM ASCII IMPORT eof ;
FROM StrLib IMPORT StrEqual ;


CONST
   Max = 255 ;
VAR
   a: ARRAY [0..Max] OF CHAR ;
BEGIN
   REPEAT
      ReadString(a)
   UNTIL (a[0]=eof) OR StrEqual(a, '#!$startinfo') ;
   REPEAT
      ReadString(a) ;
      WriteString(a) ; WriteLn
   UNTIL a[0]=eof
END consume.
