MODULE p2lcc ;

(*
   Author     : Gaius Mulley
   Title      : p2lcc
   Date       : Mon Apr 15 23:53:12 gmt 1991
   Description: Generates the cc command for linking the suit of modules.
   Last update: Mon Apr 15 23:53:18 gmt 1991
*)

FROM StrLib IMPORT StrEqual ;

FROM StrIO IMPORT ReadString, WriteString, WriteLn ;

FROM ASCII IMPORT eof ;  (* UNIX *)


CONST
   MaxName = 255  ; (* Length of an identifier *)
(*
   eof     =  32C ; (* Dos                     *)
*)
   Comment = '#'  ; (* Comment identifier.     *)

(*
   GenCC - writes out the linkage command for the C compiler.
*)

PROCEDURE GenCC ;
VAR
   a: ARRAY [0..MaxName] OF CHAR ;
BEGIN
   WriteString('gcc mod_init.o') ;
   ReadString(a) ;
   WHILE a[0]#eof DO
      IF (a[0]#Comment) AND (NOT StrEqual(a, ''))
      THEN
         WriteString('  ') ; WriteString(a) ; WriteString('.o')
      END ;
      ReadString(a)
   END ;
   WriteLn
END GenCC ;


BEGIN
   GenCC
END p2lcc.
