MODULE longint7 ;

FROM ASCII IMPORT nul ;
FROM StrIO IMPORT WriteString, WriteLn ;
FROM NumberIO IMPORT WriteInt ;

CONST
   MaxDigits = 30 ;


(*
   WriteLongInt - 
*)

PROCEDURE WriteLongInt (x: LONGINT) ;
VAR
   a: ARRAY [0..100] OF CHAR ;
BEGIN
   LongIntToStr(x, 12, a) ;
   WriteString(a)
END WriteLongInt ;


PROCEDURE LongIntToStr (x: LONGINT; n: CARDINAL ; VAR a: ARRAY OF CHAR) ;
VAR
   c        : LONGINT ;
   i, j,
   Higha    : CARDINAL ;
   buf      : ARRAY [1..MaxDigits] OF LONGINT ;
   Negative : BOOLEAN ;
BEGIN
   IF x<0
   THEN
      Negative := TRUE ;
      IF n>0
      THEN
         DEC(n)
      END ;
      c := -x
   ELSE
      Negative := FALSE ;
      c := x
   END ;
   i := 0 ;
   REPEAT
      INC(i) ;
      IF i>MaxDigits
      THEN
         WriteString('NumberIO - increase MaxDigits') ; WriteLn ;
         HALT
      END ;
      buf[i] := c MOD 10 ;
      c := c DIV 10 ;
   UNTIL c=0 ;
   j := 0 ;
   Higha := HIGH(a) ;
   WHILE (n>i) AND (j<=Higha) DO
      a[j] := ' ' ;
      INC(j) ;
      DEC(n)
   END ;
   IF Negative
   THEN
      a[j] := '-' ;
      INC(j)
   END ;
   WHILE (i#0) AND (j<=Higha) DO
      a[j] := CHR( buf[i] + ORD('0') ) ;
      INC(j) ;
      DEC(i)
   END ;
   IF j<=Higha
   THEN
      a[j] := nul
   END
END LongIntToStr ;


VAR
   l: LONGINT ;
BEGIN
   l := -1234 ;
   WriteLongInt(1234) ; WriteLn ;
   WriteInt(1234, 6) ; WriteLn
END longint7.
