MODULE testcse31 ;

FROM SYSTEM IMPORT ADDRESS ;

TYPE
   DESCRIPTOR= POINTER TO Descriptor ;    (* handle onto a process         *)
   Descriptor= RECORD
                  Volatiles  : ADDRESS ;  (* process volatile environment  *)
               END ;

PROCEDURE TRANSFER (p1, p2: ADDRESS) ;
BEGIN
END TRANSFER ;

PROCEDURE Reschedule ; (* (VAR From, Highest: DESCRIPTOR) ; *)
VAR From, Highest: DESCRIPTOR ;
BEGIN
   Highest := NIL ;
   IF From#CurrentProcess
   THEN
      From := CurrentProcess ;
      CurrentProcess := Highest ;
      TRANSFER(From^.Volatiles, Highest^.Volatiles)
   END
END Reschedule ;


VAR
   CurrentProcess: DESCRIPTOR ;
BEGIN
   Reschedule ; (* (CurrentProcess, CurrentProcess) ; *)
   CurrentProcess := NIL
END testcse31.
