MODULE testcse45 ;


TYPE

   Where = RECORD
              Declared,
              FirstUsed: CARDINAL ;
           END ;

   SymUndefined = RECORD
                     Name      : CARDINAL ;   (* Index into name array, name *)
                                              (* of record.                  *)
                     At        : Where ;      (* Where was sym declared/used *)
                  END ;


VAR
   myvar: SymUndefined ;


PROCEDURE InitWhereDeclared (VAR at: Where) ;
BEGIN
   WITH at DO
      Declared :=  1 ;
      FirstUsed := 2
   END
END InitWhereDeclared ;


(*
   MakeUnbounded - makes an unbounded array Symbol.
                   No name is required.
*)

PROCEDURE MakeUnbounded ;
BEGIN
   WITH myvar DO
      InitWhereDeclared(At) (* Declared here               *)
   END
END MakeUnbounded ;


BEGIN
   MakeUnbounded
END testcse45.
