MODULE byte ;


FROM SYSTEM IMPORT BYTE, WORD, SIZE ;
FROM NumberIO IMPORT WriteCard, WriteHex ;
FROM StrIO IMPORT WriteString, WriteLn ;


(*
   Send - 
*)

PROCEDURE Send (a: ARRAY OF BYTE) ;
VAR
   i: CARDINAL ;
BEGIN
   i := SIZE(a) ;
   WriteString('passed ') ; WriteCard(HIGH(a), 0) ; WriteString(' items') ; WriteLn ;
   WriteString('size   ') ; WriteCard(SIZE(a), 0) ; WriteString(' bytes') ; WriteLn ;
   WriteHex(VAL(CARDINAL, a[0]), 2) ; WriteLn ;
   WriteHex(VAL(CARDINAL, a[1]), 2) ; WriteLn ;
   WriteHex(VAL(CARDINAL, a[2]), 2) ; WriteLn ;
   WriteHex(VAL(CARDINAL, a[3]), 2) ; WriteLn ;
END Send ;


(*
   SendWord - 
*)

PROCEDURE SendWord (a: ARRAY OF WORD) ;
BEGIN
   WriteString('passed ') ; WriteCard(HIGH(a), 0) ; WriteString(' items') ; WriteLn ;
   WriteString('size   ') ; WriteCard(SIZE(a), 0) ; WriteString(' bytes') ; WriteLn ;
   WriteHex(VAL(CARDINAL, a[0]), 8) ; WriteLn ;
END SendWord ;


(*
   Double - 
*)

PROCEDURE Double (b: ARRAY OF WORD) ;
BEGIN
   Send(b) ;
   SendWord(b)
END Double ;


VAR
   c: ARRAY [0..5] OF RECORD
                         a, b, c, d: CARDINAL ;
                      END ;
   a: CARDINAL ;
BEGIN
   a  := 012345678H ;
   Double(a) ;
   Send(a) ;
   SendWord(a) ;
   Double(c)
END byte.
