MODULE r10 ;


(*
   DeriveTime - derives the time at which one of the coordinates
                have changed.
                vi and vj represent the velocity vector.
                i and j represent the acceleration vector.
*)

PROCEDURE DeriveTime (vi, vj, i, j: REAL) : REAL ;
VAR
   t, t1, t2: REAL ;
BEGIN
   t := 0.0 ;
   IF IsQuadraticSolved(t1, t2, i, vi, -10.0)
   THEN
      CheckUpdateTime(t, t1) ;
      CheckUpdateTime(t, t2)
   END ;
   RETURN( t )
END DeriveTime ;


(*
   test - 
*)

PROCEDURE test (VAR a, b: REAL; c: REAL) : REAL ;
BEGIN
   RETURN( a )
END test ;


PROCEDURE IsQuadraticSolved (VAR x1, x2: REAL; a, b, c: REAL) : BOOLEAN ;
BEGIN
   RETURN( FALSE )
END IsQuadraticSolved ;


PROCEDURE CheckUpdateTime (a, b: REAL) ; BEGIN END CheckUpdateTime ;


VAR
   a, b: REAL ;
BEGIN
   a := 1.0 ;
   b := 1.0 ;
   LOOP
      a := test(a, b, a)
   END
END r10.
