MODULE testbyte ;


FROM SYSTEM IMPORT BYTE, WORD ;
FROM NumberIO IMPORT WriteCard ;
FROM StrIO IMPORT WriteLn ;
FROM Storage IMPORT ALLOCATE ;


PROCEDURE testbytenonvar (a: ARRAY OF BYTE) ;
BEGIN
   WriteCard(HIGH(a), 4) ; WriteLn
END testbytenonvar ;

PROCEDURE testbytevar (VAR a: ARRAY OF BYTE) ;
BEGIN
   WriteCard(HIGH(a), 4) ; WriteLn
END testbytevar ;


TYPE
   record = RECORD
               b: ARRAY [0..10] OF BYTE ;
               c: ARRAY [0..10] OF WORD ;
               d: POINTER TO CHAR ;
               f: CHAR ;
            END ;

VAR
   e: POINTER TO record ;
BEGIN
   NEW(e) ;
   WITH e^ DO
      testbytenonvar(b)  ; (* should see output 11 *)
      testbytevar(b) ;     (* should see output 11 *)
      testbytenonvar(c)  ; (* should see output 44 *)
      testbytevar(c) ;     (* should see output 44 *)
      testbytevar(d) ;     (* should see output 4 *)
      testbytevar(f)       (* should see output 1 *)
   END
END testbyte.
