MODULE testlex ;

IMPORT DebugPMD ;
FROM M2Pass IMPORT SetPassToPass1 ;
FROM M2Reserved IMPORT EndTok, PeriodTok ;
FROM M2Lexical IMPORT OpenSource, CloseSource, IsToken, GetToken,
                      PutToken, WriteToken, CurrentToken, TokenType,
                      WriteError ;
FROM NameKey IMPORT MakeKey ;
FROM StrIO IMPORT WriteString, WriteLn ;
FROM StrLib IMPORT StrConCat ;
FROM NumberIO IMPORT WriteCard ;
FROM Args IMPORT GetArg ;


VAR
   Name   : ARRAY [0..20] OF CHAR ;
   i,
   NameTok: CARDINAL ;
BEGIN
   IF GetArg(Name, 1)
   THEN
      NameTok := MakeKey(Name) ;
      StrConCat(Name, '.mod', Name) ;
      SetPassToPass1 ;
      IF OpenSource(Name)
      THEN
         i := 0 ;
         REPEAT
            REPEAT
               REPEAT
                  GetToken ;
                  WriteError('') ;
                  (* WriteToken(CurrentToken, TokenType) ; *)
                  INC(i)
               UNTIL IsToken(EndTok) ;
               GetToken ;
               IF CurrentToken#NameTok
               THEN
                  PutToken(CurrentToken, TokenType)
               END
            UNTIL IsToken(NameTok) ;
            GetToken ;
            IF CurrentToken#PeriodTok
            THEN
               PutToken(CurrentToken, TokenType)
            END
         UNTIL IsToken(PeriodTok) ;
         CloseSource ;
         WriteLn ;
         WriteString('Total number of tokens:') ; WriteCard(i, 6) ; WriteLn
      ELSE
         WriteString('Cannot open ') ; WriteString(Name) ; WriteLn
      END
   ELSE
      WriteString('Usage: testlex <source>') ; WriteLn
   END
END testlex.

