MODULE testlex2 ;

IMPORT DebugPMD ;
FROM M2Reserved IMPORT EndTok, PeriodTok ;
FROM M2Lexical IMPORT OpenSource, CloseSource, IsToken, GetToken,
                      PutToken, WriteToken, CurrentToken, TokenType,
                      WriteError, SetPass, Pass ;
FROM NameKey IMPORT MakeKey, WriteKey ;
FROM StrIO IMPORT WriteString, WriteLn ;
FROM StrLib IMPORT StrConCat ;
FROM NumberIO IMPORT WriteCard ;
FROM Args IMPORT GetArg ;


VAR
   Name   : ARRAY [0..20] OF CHAR ;
   i,
   Eof    : CARDINAL ;
BEGIN
   Name[0] := 032C ;
   Name[1] := 00C ;
   Eof := MakeKey(Name) ;
   WriteString('PASS 1') ; WriteLn ;
   SetPass(Pass1) ;
   i := 1 ;
   WHILE GetArg(Name, i) DO
      IF OpenSource(Name)
      THEN
         REPEAT
            GetToken ;
            WriteKey(CurrentToken) ;
         UNTIL IsToken(Eof) ;
         CloseSource ;
         WriteString('Total number of tokens:') ; WriteCard(i, 6) ; WriteLn
      ELSE
         WriteString('Cannot open ') ; WriteString(Name) ; WriteLn
      END ;
      INC(i)
   END ;
   WriteString('PASS 2') ; WriteLn ;
   SetPass(Pass2) ;
   i := 1 ;
   WHILE GetArg(Name, i) DO
      IF OpenSource(Name)
      THEN
         REPEAT
            GetToken ;
            WriteKey(CurrentToken) ;
         UNTIL IsToken(Eof) ;
         CloseSource ;
         WriteString('Total number of tokens:') ; WriteCard(i, 6) ; WriteLn
      ELSE
         WriteString('Cannot open ') ; WriteString(Name) ; WriteLn
      END ;
      INC(i)
   END ;
END testlex2.
